VirtualMachinesOperations Class
VirtualMachinesOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectVirtualMachinesOperations
Constructor
VirtualMachinesOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| begin_add_data_disk |
Attach a new or existing data disk to virtual machine. This operation can take a while to complete. |
| begin_apply_artifacts |
Apply artifacts to virtual machine. This operation can take a while to complete. |
| begin_claim |
Take ownership of an existing virtual machine This operation can take a while to complete. |
| begin_create_or_update |
Create or replace an existing virtual machine. This operation can take a while to complete. |
| begin_delete |
Delete virtual machine. This operation can take a while to complete. |
| begin_detach_data_disk |
Detach the specified disk from the virtual machine. This operation can take a while to complete. |
| begin_redeploy |
Redeploy a virtual machine This operation can take a while to complete. |
| begin_resize |
Resize Virtual Machine. This operation can take a while to complete. |
| begin_restart |
Restart a virtual machine. This operation can take a while to complete. |
| begin_start |
Start a virtual machine. This operation can take a while to complete. |
| begin_stop |
Stop a virtual machine This operation can take a while to complete. |
| begin_transfer_disks |
Transfers all data disks attached to the virtual machine to be owned by the current user. This operation can take a while to complete. |
| begin_un_claim |
Release ownership of an existing virtual machine This operation can take a while to complete. |
| get |
Get virtual machine. |
| get_rdp_file_contents |
Gets a string that represents the contents of the RDP file for the virtual machine. |
| list |
List virtual machines in a given lab. |
| list_applicable_schedules |
Lists the applicable start/stop schedules, if any. |
| update |
Allows modifying tags of virtual machines. All other properties will be ignored. |
begin_add_data_disk
Attach a new or existing data disk to virtual machine. This operation can take a while to complete.
begin_add_data_disk(resource_group_name: str, lab_name: str, name: str, data_disk_properties: _models.DataDiskProperties, **kwargs: Any) -> LROPoller[None]
Parameters
- data_disk_properties
- DataDiskProperties
Request body for adding a new or existing data disk to a virtual machine.
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either None or the result of cls(response)
Return type
Exceptions
begin_apply_artifacts
Apply artifacts to virtual machine. This operation can take a while to complete.
begin_apply_artifacts(resource_group_name: str, lab_name: str, name: str, artifacts: Optional[List[_models.ArtifactInstallProperties]] = None, **kwargs: Any) -> LROPoller[None]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either None or the result of cls(response)
Return type
Exceptions
begin_claim
Take ownership of an existing virtual machine This operation can take a while to complete.
begin_claim(resource_group_name: str, lab_name: str, name: str, **kwargs: Any) -> LROPoller[None]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either None or the result of cls(response)
Return type
Exceptions
begin_create_or_update
Create or replace an existing virtual machine. This operation can take a while to complete.
begin_create_or_update(resource_group_name: str, lab_name: str, name: str, lab_virtual_machine: _models.LabVirtualMachine, **kwargs: Any) -> LROPoller[_models.LabVirtualMachine]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either LabVirtualMachine or the result of cls(response)
Return type
Exceptions
begin_delete
Delete virtual machine. This operation can take a while to complete.
begin_delete(resource_group_name: str, lab_name: str, name: str, **kwargs: Any) -> LROPoller[None]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either None or the result of cls(response)
Return type
Exceptions
begin_detach_data_disk
Detach the specified disk from the virtual machine. This operation can take a while to complete.
begin_detach_data_disk(resource_group_name: str, lab_name: str, name: str, existing_lab_disk_id: Optional[str] = None, **kwargs: Any) -> LROPoller[None]
Parameters
- existing_lab_disk_id
- str
Specifies the disk resource ID to detach from virtual machine.
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either None or the result of cls(response)
Return type
Exceptions
begin_redeploy
Redeploy a virtual machine This operation can take a while to complete.
begin_redeploy(resource_group_name: str, lab_name: str, name: str, **kwargs: Any) -> LROPoller[None]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either None or the result of cls(response)
Return type
Exceptions
begin_resize
Resize Virtual Machine. This operation can take a while to complete.
begin_resize(resource_group_name: str, lab_name: str, name: str, size: Optional[str] = None, **kwargs: Any) -> LROPoller[None]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either None or the result of cls(response)
Return type
Exceptions
begin_restart
Restart a virtual machine. This operation can take a while to complete.
begin_restart(resource_group_name: str, lab_name: str, name: str, **kwargs: Any) -> LROPoller[None]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either None or the result of cls(response)
Return type
Exceptions
begin_start
Start a virtual machine. This operation can take a while to complete.
begin_start(resource_group_name: str, lab_name: str, name: str, **kwargs: Any) -> LROPoller[None]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either None or the result of cls(response)
Return type
Exceptions
begin_stop
Stop a virtual machine This operation can take a while to complete.
begin_stop(resource_group_name: str, lab_name: str, name: str, **kwargs: Any) -> LROPoller[None]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either None or the result of cls(response)
Return type
Exceptions
begin_transfer_disks
Transfers all data disks attached to the virtual machine to be owned by the current user. This operation can take a while to complete.
begin_transfer_disks(resource_group_name: str, lab_name: str, name: str, **kwargs: Any) -> LROPoller[None]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either None or the result of cls(response)
Return type
Exceptions
begin_un_claim
Release ownership of an existing virtual machine This operation can take a while to complete.
begin_un_claim(resource_group_name: str, lab_name: str, name: str, **kwargs: Any) -> LROPoller[None]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either None or the result of cls(response)
Return type
Exceptions
get
Get virtual machine.
get(resource_group_name: str, lab_name: str, name: str, expand: Optional[str] = None, **kwargs: Any) -> _models.LabVirtualMachine
Parameters
- expand
- str
Specify the $expand query. Example: 'properties($expand=artifacts,computeVm,networkInterface,applicableSchedule)'.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
LabVirtualMachine, or the result of cls(response)
Return type
Exceptions
get_rdp_file_contents
Gets a string that represents the contents of the RDP file for the virtual machine.
get_rdp_file_contents(resource_group_name: str, lab_name: str, name: str, **kwargs: Any) -> _models.RdpConnection
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
RdpConnection, or the result of cls(response)
Return type
Exceptions
list
List virtual machines in a given lab.
list(resource_group_name: str, lab_name: str, expand: Optional[str] = None, filter: Optional[str] = None, top: Optional[int] = None, orderby: Optional[str] = None, **kwargs: Any) -> Iterable[_models.LabVirtualMachineList]
Parameters
- expand
- str
Specify the $expand query. Example: 'properties($expand=artifacts,computeVm,networkInterface,applicableSchedule)'.
- filter
- str
The filter to apply to the operation. Example: '$filter=contains(name,'myName').
- top
- int
The maximum number of resources to return from the operation. Example: '$top=10'.
- orderby
- str
The ordering expression for the results, using OData notation. Example: '$orderby=name desc'.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either LabVirtualMachineList or the result of cls(response)
Return type
Exceptions
list_applicable_schedules
Lists the applicable start/stop schedules, if any.
list_applicable_schedules(resource_group_name: str, lab_name: str, name: str, **kwargs: Any) -> _models.ApplicableSchedule
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
ApplicableSchedule, or the result of cls(response)
Return type
Exceptions
update
Allows modifying tags of virtual machines. All other properties will be ignored.
update(resource_group_name: str, lab_name: str, name: str, lab_virtual_machine: _models.LabVirtualMachineFragment, **kwargs: Any) -> _models.LabVirtualMachine
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
LabVirtualMachine, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.devtestlabs.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\devtestlabs\\models\\__init__.py'>
Feedback
Submit and view feedback for